[Overview][Constants][Types][Classes][Index] | Reference for unit 'zipper' (#fcl)

# Local_File_Header_Type

Record structure containing local file header

## Declaration

Source position: zipper.pp line 35

`type Local_File_Header_Type = packed record`
`Signature: LongInt;` |  | Signature for local file header within zip file
`Extract_Version_Reqd: Word;` |  | Minimum zip version needed to extract
`Bit_Flag: Word;` |  | General purpose bit flag
`Compress_Method: Word;` |  | Compression method
`Last_Mod_Time: Word;` |  | Last modification date of file
`Last_Mod_Date: Word;` |  | Last modification date of file
`Crc32: LongWord;` |  | CRC 32
`Compressed_Size: LongWord;` |  | Size in bytes of compressed file
`Uncompressed_Size: LongWord;` |  | Size in bytes of decompressed file
`Filename_Length: Word;` |  | File name length
`Extra_Field_Length: Word;` |  | Extra field length
`end;`

Documentation generated on: Feb 26 2014